Document relation — retrieve
Retrieve one document relation by ID.
Path Parameters
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
Identifier of the target document. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
Identifier of the target relation. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.
Response Body
application/json
curl -X GET "https://example.com/v1/business/string/document/0/relation/0/"{ "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "related_document": 0, "related_document_summary": { "property1": null, "property2": null }, "description": "string", "role": "ACCRUAL", "type": "ACCRUAL_PAIR", "source_document_signals": { "property1": null, "property2": null }, "related_document_signals": { "property1": null, "property2": null }}Document relation — create POST
Create a document relation between two documents in the same business (source and target, with roles and relation type).
Document relation — update PATCH
Partially update one document relation by ID. Use `relation_id` values from `bookkeeping_document_relations_list` for the same `document_id`.